QGIS Application - Bug report #1036
GRASS toolbox windows cannot be resized vertically
2008-04-11 12:16 PM - Micha Silver

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11096
Description

When starting a GRASS module in the toolbox window, the window automatically resizes vertically to allow room for all the controls to fit
in. If there are many controls, the "lower" ones disappear off the screen and are not accessible. The window cannot be resized in the
vertical direction, and there is no scrollbar, so the "Run" and "Close" buttons cannot be clicked.
This issue appears, for example, when using the r.mapcalculator. The module window contains

- 6 controls for entering raster maps

- arow for the equation

- and a row for the output map.

The "Run" button cannot be reached. I've seen this behavior on both Linux and Windows.

A work-around: Edit the r.mapcalculator ggm file and remove two of the option rows.

The solution: could be to add a scrollbar to the module window.

History

#1 - 2008-07-25 05:01 PM - Tim Sutton
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in by putting options list in a scroll view.

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
